<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>gov.va.med.cds.tools.cleanup</groupId>
	<artifactId>errorq-cleanup</artifactId>
	<name>ERRORQCLEANUP: JMS Client</name>
	<version>3.0.1-SNAPSHOT</version>
	<description>Stand alone JMS Client for cleaning up error queue</description>
	<packaging>jar</packaging>
	<properties>
		<cds.test.groups>checkintest</cds.test.groups>
		<org.springframework.version>4.2.7.RELEASE</org.springframework.version>
		<powermock.version>1.4.12</powermock.version>
		<repos.lib.groupid>gov.va.med.repos.lib</repos.lib.groupid>
		<weblogic.version>12.1.2.0</weblogic.version>
		<junit-ext.version>3.1.1</junit-ext.version>
		<common.version>5.0.0</common.version>
		<testharness.version>5.0.0</testharness.version>
		<aspects.version>4.0.0</aspects.version>
		<hapi-ext.version>5.0.0</hapi-ext.version>
		<log4j.version>2.4</log4j.version>
	</properties>
	<dependencies>
		<dependency>
			<groupId>javax.jms</groupId>
			<artifactId>jms</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-core</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-beans</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-jms</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-tx</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>gov.va.med.repos.lib</groupId>
			<artifactId>hapi-ext</artifactId>
			<version>${hapi-ext.version}</version>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>common</artifactId>
			<version>${common.version}</version>
			<exclusions>
				<exclusion>
					<groupId>xml-apis</groupId>
					<artifactId>xml-apis</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>xml-apis</groupId>
			<artifactId>xml-apis</artifactId>
			<!-- Don't upgrade to version 2.0.2 it's a non-standard version -->
			<version>1.4.01</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.12</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>junit-ext</artifactId>
			<version>${junit-ext.version}</version>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>testharness</artifactId>
			<version>${testharness.version}</version>
			<classifier>tests</classifier>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>aspects</artifactId>
			<version>${aspects.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
			<version>1.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-dbcp2</artifactId>
			<version>2.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-pool2</artifactId>
			<version>2.4.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
			<version>${log4j.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
			<version>${log4j.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-jcl</artifactId>
			<version>${log4j.version}</version>
		</dependency>
		<dependency>
			<groupId>oracle</groupId>
			<artifactId>ojdbc6</artifactId>
			<version>11.1.0.7.0</version>
		</dependency>
		<dependency>
			<groupId>hdr.ims-psim</groupId>
			<artifactId>ims-core</artifactId>
			<version>2.1.6</version>
			<exclusions>
				<exclusion>
					<groupId>ojdbc</groupId>
					<artifactId>ojdbc</artifactId>
				</exclusion>
				<exclusion>
					<groupId>oracle</groupId>
					<artifactId>ojdbc14</artifactId>
				</exclusion>
				<exclusion>
					<groupId>hdr</groupId>
					<artifactId>hx-api</artifactId>
				</exclusion>
				<exclusion>
					<groupId>hdr.ims-psim</groupId>
					<artifactId>ims-loader</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.hibernate</groupId>
					<artifactId>hibernate</artifactId>
				</exclusion>
				<exclusion>
					<groupId>log4j</groupId>
					<artifactId>log4j</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>weblogic</groupId>
			<artifactId>wlthint3client</artifactId>
			<version>${weblogic.version}</version>
		</dependency>
		<dependency>
			<groupId>weblogic</groupId>
			<artifactId>wljmsclient</artifactId>
			<version>${weblogic.version}</version>
		</dependency>
	</dependencies>
	<!-- 
	<scm>
		<url>https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_app_errorqcleanup_main_stream_rws</url>
		<connection>scm:jazz:https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_app_errorqcleanup_main_stream_rws</connection>
		<developerConnection>scm:jazz:https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_app_errorqcleanup_main_stream_rws</developerConnection>
	</scm>
	-->
	
	<scm>
        <url>${env.SCM_URL}:${env.APP_ERRORQCLEANUP_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.APP_ERRORQCLEANUP_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.APP_ERRORQCLEANUP_RB_RWS}</developerConnection>
    </scm>
	
	
	<profiles>
		<profile>
			<id>Windows</id>
			<activation>
				<os>
					<family>windows</family>
				</os>
			</activation>
			<properties>
				<weblogic.wlst>wlst.cmd</weblogic.wlst>
			</properties>
		</profile>
		<profile>
			<id>Linux</id>
			<activation>
				<os>
					<family>unix</family>
				</os>
			</activation>
			<properties>
				<weblogic.wlst>wlst.sh</weblogic.wlst>
			</properties>
		</profile>
	</profiles>
	<build>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
			<resource>
				<targetPath>../errorq-cleanup</targetPath>
				<filtering>true</filtering>
				<directory>${basedir}/src/main/resources/installation</directory>
				<includes>
					<include>**/*.xml</include>
					<include>**/*.properties</include>
					<include>**/*.policy</include>
					<include>*.txt</include>
					<include>*.jks</include>
					<include>*.config</include>
				</includes>
			</resource>
			<resource>
				<targetPath>../errorq-cleanup/bin</targetPath>
				<filtering>true</filtering>
				<directory>${basedir}/src/main/resources/installation/bin</directory>
				<includes>
					<include>**/*.sh</include>
					<include>**/*.bat</include>
				</includes>
			</resource>
		</resources>
		<testResources>
			<testResource>
				<directory>src/test/java</directory>
				<excludes>
					<exclude>**/*Test*.*</exclude>
				</excludes>
			</testResource>
			<testResource>
				<directory>src/test/resources</directory>
				<includes>
					<include>**/*.properties</include>
				</includes>
				<filtering>true</filtering>
			</testResource>
		</testResources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.12.4</version>
				<configuration>
					<skipTests>true</skipTests>
					<systemProperties>
						<property>
							<name>cds.run.properties.path</name>
							<value>target/test-classes/errorqcleanup.properties</value>
							<!-- <value>target/errorq-cleanup/errorqcleanup.properties</value> -->
						</property>
						<property>
							<name>cds.test.groups</name>
							<value>${cds.test.groups}</value>
						</property>
					</systemProperties>
					<argLine>-Xmx1024m </argLine>
					<disableXmlReport>false</disableXmlReport>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-jar-plugin</artifactId>
				<version>2.3.2</version>

				<configuration>
					<archive>
						<manifest>
							<addClasspath>true</addClasspath>
							<mainClass>gov.va.med.cds.tools.cleanup.errorq.ErrorQCleanUp</mainClass>
						</manifest>
					</archive>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-source-plugin</artifactId>
				<version>2.2.1</version>

				<configuration>
					<aggregate>false</aggregate>
				</configuration>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>jar</goal>
							<goal>test-jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>2.1</version>
				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>package</phase>
						<goals>
							<goal>attached</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<descriptors>
						<descriptor>runtime-assembly.xml</descriptor>
					</descriptors>
					<appendAssemblyId>true</appendAssemblyId>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.5</version>
			</plugin>
			<plugin>
				<groupId>com.fortify.ps.maven.plugin</groupId>
				<artifactId>sca-maven-plugin</artifactId>
				<version>4.30</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-scm-plugin</artifactId>
				<version>1.9.1</version>
				<dependencies>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-provider-jazz</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-api</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-client</artifactId>
						<version>1.9.1</version>
					</dependency>
				</dependencies>
			</plugin>
		</plugins>
		<pluginManagement>
			<plugins>
				<!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself. -->
				<plugin>
					<groupId>org.eclipse.m2e</groupId>
					<artifactId>lifecycle-mapping</artifactId>
					<version>1.0.0</version>
					<configuration>
						<lifecycleMappingMetadata>
							<pluginExecutions>
								<pluginExecution>
									<pluginExecutionFilter>
										<groupId>
											org.apache.maven.plugins
										</groupId>
										<artifactId>
											maven-compiler-plugin
										</artifactId>
										<versionRange>
											[2.3.2,)
										</versionRange>
										<goals>
											<goal>compile</goal>
											<goal>testCompile</goal>
										</goals>
									</pluginExecutionFilter>
									<action>
										<ignore />
									</action>
								</pluginExecution>
							</pluginExecutions>
						</lifecycleMappingMetadata>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
	<distributionManagement>
		<repository>
			<id>internal</id>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/internal</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/snapshots</url>
		</snapshotRepository>
		<site>
			<id>bob-website</id>
			<url> ${build.reports.outputsite}/<!-- ${project.version} -->
			</url>
		</site>
	</distributionManagement>
	<repositories>
		<repository>
			<id>internal</id>
			<name>Internal Repository</name>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/internal</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>snapshots</id>
			<name>Snapshots</name>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/snapshots</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>
</project>
